// Copyright (c) 2016, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

import 'package:fltk/fltk.dart' as fl;

/// A cat XPM image
const catXpm = const [
  '50 34 4 1',
  '  c black',
  'o c #ff9900',
  '@ c #ffffff',
  '# c None',
  '##################################################',
  '###      ##############################       ####',
  '### ooooo  ###########################  ooooo ####',
  '### oo  oo  #########################  oo  oo ####',
  '### oo   oo  #######################  oo   oo ####',
  '### oo    oo  #####################  oo    oo ####',
  '### oo     oo  ###################  oo     oo ####',
  '### oo      oo                     oo      oo ####',
  '### oo       oo  ooooooooooooooo  oo       oo ####',
  '### oo        ooooooooooooooooooooo        oo ####',
  '### oo     ooooooooooooooooooooooooooo    ooo ####',
  '#### oo   ooooooo ooooooooooooo ooooooo   oo #####',
  '####  oo oooooooo ooooooooooooo oooooooo oo  #####',
  '##### oo oooooooo ooooooooooooo oooooooo oo ######',
  '#####  o ooooooooooooooooooooooooooooooo o  ######',
  '###### ooooooooooooooooooooooooooooooooooo #######',
  '##### ooooooooo     ooooooooo     ooooooooo ######',
  '##### oooooooo  @@@  ooooooo  @@@  oooooooo ######',
  '##### oooooooo @@@@@ ooooooo @@@@@ oooooooo ######',
  '##### oooooooo @@@@@ ooooooo @@@@@ oooooooo ######',
  '##### oooooooo  @@@  ooooooo  @@@  oooooooo ######',
  '##### ooooooooo     ooooooooo     ooooooooo ######',
  '###### oooooooooooooo       oooooooooooooo #######',
  '###### oooooooo@@@@@@@     @@@@@@@oooooooo #######',
  '###### ooooooo@@@@@@@@@   @@@@@@@@@ooooooo #######',
  '####### ooooo@@@@@@@@@@@ @@@@@@@@@@@ooooo ########',
  '######### oo@@@@@@@@@@@@ @@@@@@@@@@@@oo ##########',
  '########## o@@@@@@ @@@@@ @@@@@ @@@@@@o ###########',
  '########### @@@@@@@     @     @@@@@@@ ############',
  '############  @@@@@@@@@@@@@@@@@@@@@  #############',
  '##############  @@@@@@@@@@@@@@@@@  ###############',
  '################    @@@@@@@@@    #################',
  '####################         #####################',
  '##################################################',
];

int main() {
  final window = new fl.DoubleWindow(96, 96);
  final box = new fl.Box(32, 32, 32, 32);
  box.image = fl.readXpm(dartXpm);
  window.end();
  window.show();
  return fl.run();
}

/// An XPM of the Dart logo!
const dartXpm = const [
  '32 32 5 2',
  '## c #0082c8',
  '++ c #00a4e4',
  ':: c #00d2b8',
  '.. c #55ddcA',
  '   c None',
  '                                ::::                            ',
  '                            ::::::::::                          ',
  '                          ::::::::::::::                        ',
  '                        ::::::::::::::::::                      ',
  '                      ::::::::::::::::::::                      ',
  '                  ::::::::::::::::::::::::::                    ',
  '                ::::::::::::::::::::::::::::                    ',
  '              ################################                  ',
  '            ##::##############################++++              ',
  '          ####::::##############################++++++          ',
  '          ####::::::############################++++++++        ',
  '        ######::::::::############################++++++++      ',
  '      ########::::::::::##########################++++++++++    ',
  '    ##########::::::::::::##########################++++++++++  ',
  '  ############::::::::::::::########################++++++++++++',
  '  ############::::::::::::::::########################++++++++++',
  '##############::::::::::::::::::######################++++++++++',
  '##############::::::::::::::::::::######################++++++++',
  '  ############::::::::::::::::::::::####################++++++++',
  '    ##########::::::::::::::::::::::::####################++++++',
  '      ########::::::::::::::::::::::::::##################++++++',
  '          ####::::::::::::::::::::::::::::##################++++',
  '              ::::::::::::::::::::::::::::::################++++',
  '                ..::::::::::::::::::::::::::::############++++++',
  '                ......::::::::::::::::::::::::::##########++++++',
  '                  ........::::::::::::::::::::::::######++++++  ',
  '                  ............::::::::::::::::::::::####++      ',
  '                    ..............::::::::::::::::::::          ',
  '                      ................::::::::::::....          ',
  '                        ..................::::......            ',
  '                          ..........................            ',
  '                            ......................              '
];
